{if isset($error)}
	<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
	<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}

<h3>Freitextfelder von {$artikel->cName}</h3>
{if $fields|@count < 1}
	<div class="alert alert-danger"><i class="fa fa-info-circle"></i> Der Artikel hat keine Freitextfelder.</div>
{else}
<form action="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=fields&amp;kArtikel={$artikel->kArtikel}" method="post">
{foreach from=$fields item="field"}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{$field->cName}</h3>
		</div>
		<div class="panel-body">
			<div class="input-group">
				<span class="input-group-addon"><label for="overwrite[{$field->kEigenschaft}]">Feld &uuml;berschreiben</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="overwrite[{$field->kEigenschaft}]" id="overwrite_{$field->kEigenschaft}" onchange="toggleField(this,'{$field->kEigenschaft}');">
						<option value="1"{if $field->kArtikel2} selected{/if}>Ja</option>
						<option value="0"{if !$field->kArtikel2} selected{/if}>Nein</option>
					</select>
				</span>
				<span class="input-group-addon">
					<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Wandelt das Feld in den Typ 'Number' (Zahl) um und f&uuml;gt auf Wunsch weitere Parameter hinzu."><i class="fa fa-question"></i></button>
				</span>
			</div>
			<div id="field_{$field->kEigenschaft}"{if !$field->kArtikel2} style="display: none;"{/if}>

				<div class="input-group">
					<span class="input-group-addon"><label for="min[{$field->kEigenschaft}]">Mindestwert</label></span>
					<span class="input-group-wrap">
						<input type="number" class="form-control" name="min[{$field->kEigenschaft}]" value="{$field->min}" step="0.0001" />
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Leerlassen um nicht zu nutzen. Gibt den Mindeswert des Feldes an. Kommazahlen sind m&ouml;glich"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="max[{$field->kEigenschaft}]">Maximalwert</label></span>
					<span class="input-group-wrap">
						<input type="number" class="form-control" name="max[{$field->kEigenschaft}]" value="{$field->max}" step="0.0001" />
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Leerlassen um nicht zu nutzen. Gibt den Maximalwert des Feldes an. Kommazahlen sind m&ouml;glich"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="step[{$field->kEigenschaft}]">Zahlenschritte</label></span>
					<span class="input-group-wrap">
						<input type="number" class="form-control" name="step[{$field->kEigenschaft}]" value="{$field->step}" step="0.0001" />
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Leerlassen um nicht zu nutzen. Gibt die Schritte (wenn z.B: eine Ganzzahl angegeben wird kann der Kunde keine Kommazahl angeben) des Feldes an. Kommazahlen sind m&ouml;glich"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="einheit[{$field->kEigenschaft}]">Einheit</label></span>
					<span class="input-group-wrap">
						<input type="text" class="form-control" name="einheit[{$field->kEigenschaft}]" value="{$field->einheit}" />
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Leerlassen um nicht zu nutzen. F&uuml;gt eine Einheit hinter das Eingabefeld (z.B. Meter oder auch die Kurzform 'm')."><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="showEinheit[{$field->kEigenschaft}]">Einheit anzeigen</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="showEinheit[{$field->kEigenschaft}]">
							<option value="1"{if $field->showEinheit} selected{/if}>Ja</option>
							<option value="0"{if !$field->showEinheit} selected{/if}>Nein</option>
						</select>
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Soll die Einheit des Feldes angezeigt werden?"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="showMinMax[{$field->kEigenschaft}]">Grenzwerte ausgeben</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="showMinMax[{$field->kEigenschaft}]">
							<option value="1"{if $field->showMinMax} selected{/if}>Ja</option>
							<option value="0"{if !$field->showMinMax} selected{/if}>Nein</option>
						</select>
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Sollen die Mindest- und Maximalwerte dem Kunden als Information angezeigt werden?"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="useRangeSlider[{$field->kEigenschaft}]">Eingabe als Zahlenslider</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="useRangeSlider[{$field->kEigenschaft}]">
							<option value="1"{if $field->useRangeSlider} selected{/if}>Ja</option>
							<option value="0"{if !$field->useRangeSlider} selected{/if}>Nein</option>
						</select>
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Wandelt das Eingabefeld als Zahlenslider (HTML5 - Rangeslider!)"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="hide[{$field->kEigenschaft}]">Feld ausblenden</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="hide[{$field->kEigenschaft}]">
							<option value="1"{if $field->hide} selected{/if}>Ja</option>
							<option value="0"{if !$field->hide} selected{/if}>Nein</option>
						</select>
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Soll das Feld beim Artikel ausgeblendet werden? Kann genutzt werden um es dann z.B. nur im Warenkorb anzuzeigen"><i class="fa fa-question"></i></button>
					</span>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="readonly[{$field->kEigenschaft}]">Nur Lesemodus</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="readonly[{$field->kEigenschaft}]">
							<option value="1"{if $field->readonly} selected{/if}>Ja</option>
							<option value="0"{if !$field->readonly} selected{/if}>Nein</option>
						</select>
					</span>
					<span class="input-group-addon">
						<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Soll das Feld beim Artikel auf NUR LESEN gestellt werden? Kann genutzt werden um ueber die Preismanipulationen z.B: einen qm2 Wert einzutragen"><i class="fa fa-question"></i></button>
					</span>
				</div>
			</div>
		</div>
	</div>
{/foreach}
	<a href="plugin.php?kPlugin={$oPlugin->kPlugin}" class="btn btn-default">Zur&uuml;ck zur &Uuml;bersicht</a>
	<button type="submit" class="btn btn-primary" name="saveFields" value="1">
		<i class="fa fa-share"></i> Speichern
	</button>
</form>

<script type="text/javascript">
function toggleField(elem,eigenschaft)
{
	if($(elem).val() == 1)
		$('#field_'+eigenschaft).show();
	else
		$('#field_'+eigenschaft).hide();
}
</script>
{/if}